## edu.wisc.ssec.mcidas
Class AreaFileException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.wisc.ssec.mcidas.McIDASException
                  edu.wisc.ssec.mcidas.AreaFileException

All Implemented Interfaces:
  Serializable

public class AreaFileException
extends McIDASException

AreaFileException class is to handle exceptions when dealing with McIDAS 'area' files.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`AreaFileException()` Constructs an AreaFileException with no specified detail message.
`AreaFileException(String s)` Constructs an AreaFileException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AreaFileException

    public AreaFileException()

  Constructs an AreaFileException with no specified detail message.

### AreaFileException

    public AreaFileException(String s)

  Constructs an AreaFileException with the specified detail message.

Parameters:
  `s` - the detail message.